### Class

# CM Pusher

since: 0.0.1

#### Description [src]

    final class CM.Pusher : GObject.Object
    {
      /* No available fields */
    }

Configuration for a server side pusher.

A pusher is a worker on the homeserver that manages the sending of push notifications for a user. A user can have multiple pushers. This class allows to set the pushers properties (like the push gateway where push notifications should be sent to).

Available since: 0.0.1

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### cm_pusher_new

No description available.

since: 0.0.1

#### Instance methods

###### cm_pusher_check_valid

Checks if the given pusher is valid. For http pushers this means checking the remote endpoint.

since: 0.0.1

###### cm_pusher_check_valid_finish

Finishes an asynchronous operation started with `cm_pusher_check_valid()`. If the operation failed or the pusher is not valid `FALSE` is returned and `error` indicates the kind of error.

since: 0.0.1

###### cm_pusher_get_app_display_name

Get the display name of the application this pusher belongs to.

since: 0.0.1

###### cm_pusher_get_app_id

Get the app-id of the application this pusher belongs to.

since: 0.0.1

###### cm_pusher_get_device_display_name

Get the display name of the device this pusher belongs to.

since: 0.0.1

###### cm_pusher_get_kind

Get the kind of the pusher.

since: 0.0.1

###### cm_pusher_get_kind_as_string

Get the kind of the pusher as string. E.g. `http`.

since: 0.0.1

###### cm_pusher_get_lang

Get the language of this pusher.

since: 0.0.1

###### cm_pusher_get_profile_tag

Get the profile tag for this pusher.

since: 0.0.1

###### cm_pusher_get_pushkey

Get the pushkey for this pusher.

since: 0.0.1

###### cm_pusher_get_url

Get the URL for push notifications.

since: 0.0.1

###### cm_pusher_set_app_display_name

Set the display name of the application this pusher belongs to. This should be a user friendly name that applications can show when listing pushers.

since: 0.0.1

###### cm_pusher_set_app_id

Pushers can have an app-id associated with them so an app can find the pushers it has configured. This should be in reverse DNS notation like `com.example.Client`.

since: 0.0.1

###### cm_pusher_set_device_display_name

Set the display name of the device this pusher belongs to.

since: 0.0.1

###### cm_pusher_set_kind

Set the kind of the pusher.

since: 0.0.1

###### cm_pusher_set_kind_from_string

Set the kind of the pusher from a string like `http`.

since: 0.0.1

###### cm_pusher_set_lang

Set the preferred language for receiving notifications (e.g. `en-US`).

since: 0.0.1

###### cm_pusher_set_profile_tag

Set the profile tag for this pusher. The profile tag specifies which set of device specific rules this pusher executes.

since: 0.0.1

###### cm_pusher_set_pushkey

Set the pushkey for this pusher. The pushkey is a unique identifier for this pusher.

since: 0.0.1

###### cm_pusher_set_url

Set the URL where push notifications should be sent to.

since: 0.0.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CMPusherClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.